Index: qoca/QcSolver.H
===================================================================
--- qoca/QcSolver.H	(revision 18891)
+++ qoca/QcSolver.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcSolver.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcSolverDCL
 #define QcSolverDCL
-#line 1 "QcSolver.ch"
 // $Id: QcSolver.ch,v 1.21 2001/01/30 01:32:08 pmoulder Exp $
 
 //============================================================================//
@@ -28,8 +27,8 @@
 // included with the above copyright notice.                                  //
 //============================================================================//
 
-#include <vector.h>
-#include <algo.h>
+#include <vector>
+#include <algorithm>
 #include "qoca/QcConstraint.hh"
 
 
@@ -42,7 +41,6 @@
 // Constructor.                                                          //
 //-----------------------------------------------------------------------//
 inline QcSolver();
-#line 46 "QcSolver.ch"
 virtual ~QcSolver()
 {
 }
@@ -52,13 +50,10 @@
 #if qcCheckInternalInvar
 inline void
 assertInvar() const;
-#line 59 "QcSolver.ch"
 void
 assertDeepInvar() const;
-#line 74 "QcSolver.ch"
 virtual void
 vAssertDeepInvar() const;
-#line 79 "QcSolver.ch"
 #endif
 
 
@@ -78,10 +73,8 @@
 
 void
 addVar (QcFloatRep *v);
-#line 109 "QcSolver.ch"
 static void bad_call (char const *method) __attribute__ ((__noreturn__));
 
-#line 118 "QcSolver.ch"
 /** Removes variable from solver and returns true provided <tt>v</tt> is
     free.  Does nothing and returns false if <tt>v</tt> is not free.
 
@@ -91,7 +84,6 @@
 **/
 virtual bool
 RemoveVar (QcFloat &v);
-#line 133 "QcSolver.ch"
 bool
 removeVar (QcFloatRep *v)
 {
@@ -106,7 +98,6 @@
 **/
 virtual inline void
 SuggestValue(QcFloat &v, numT desval);
-#line 152 "QcSolver.ch"
 /** Sets the desired value of all registered variables to their current
     value.  Useful in some situations after a solve. */
 virtual void RestSolver() = 0;
@@ -125,7 +116,6 @@
     the solver, a warning is issued if safety checks are enabled.
 **/
 virtual bool IsFree (QcFloat const &v) const;
-#line 176 "QcSolver.ch"
 /** Indicates if a variable used by the tableau is basic.  It is an
     error to call <tt>IsBasic</tt> for a variable not used by the the
     solver; a warning is issued in this case if safety checks are
@@ -146,7 +136,6 @@
 **/
 bool
 IsEditVar(QcFloat const &v) const;
-#line 207 "QcSolver.ch"
 bool isEditVar (QcFloatRep const *v) const
 {
   QcFloat v1(v);
@@ -169,7 +158,6 @@
 
 virtual void
 AddEditVar(QcFloat &v);
-#line 235 "QcSolver.ch"
 void addEditVar (QcFloatRep *v)
 {
   QcFloat v1 (v);
@@ -205,7 +193,6 @@
 
 virtual void
 EndEdit();
-#line 280 "QcSolver.ch"
 /** Synonym of <tt>EndEdit</tt>. */
 void endEdit()
 { EndEdit(); }
@@ -219,8 +206,7 @@
     inconsistant since the last call to <tt>ClearInconsistant</tt>.
     The handles are stored in the order in which they were encountered.
 **/
-inline vector<QcConstraint> const &Inconsistant() const;
-#line 299 "QcSolver.ch"
+inline std::vector<QcConstraint> const &Inconsistant() const;
 virtual void ClearInconsistant()
 { fInconsistant.resize(0); }
 
@@ -235,7 +221,6 @@
 **/
 bool swallow (QcSolver *other);
 
-#line 333 "QcSolver.ch"
 /** If <tt>c</tt> is consistent with the other constraints in this
     solver, then add <tt>c</tt> to this solver and return
     <tt>true</tt>; otherwise simply return <tt>false</tt>.  The
@@ -288,27 +273,22 @@
 
 void
 AddWeightedConstraint(QcConstraint &c, numT weight);
-#line 443 "QcSolver.ch"
 /** Marks the beginning of a batch of AddConstraint operation.
 
     @precondition <tt>!inBatch()</tt>
 **/
 inline virtual void
 BeginAddConstraint();
-#line 457 "QcSolver.ch"
 /** Returns <tt>true</tt> iff batch constraint mode is active, i.e.&nbsp;there
     has been a call to <tt>BeginAddConstraint</tt> not followed by an
     <tt>EndAddConstraint</tt> call.
 **/
 inline bool
 inBatch();
-#line 467 "QcSolver.ch"
 inline bool
 ChangeRHS (QcConstraint &c, numT rhs);
-#line 473 "QcSolver.ch"
 inline bool
 changeRHS (QcConstraintRep *c, numT rhs);
-#line 479 "QcSolver.ch"
 /** Change the rhs of a constraint. */
 virtual bool ChangeConstraint(QcConstraint &c, numT rhs) = 0;
 
@@ -329,14 +309,12 @@
 
 virtual bool
 EndAddConstraint();
-#line 517 "QcSolver.ch"
 /** If <tt>c</tt> is in this solver, then remove it and return
     <tt>true</tt>.  Does not modify the value of any variable in
     <tt>c</tt>.  Returns false if the constraint is not present and
     also issues a warning if safety checks are enabled.
 **/
 virtual bool RemoveConstraint(QcConstraint &c);
-#line 530 "QcSolver.ch"
 bool removeConstraint (QcConstraintRep *c)
 {
   QcConstraint c1 (c);
@@ -396,11 +374,9 @@
 /** Add <tt>v</tt> to fEditVars. */
 inline void
 RegisterEditVar(QcFloat &v);
-#line 597 "QcSolver.ch"
 /** Remove <tt>v</tt> from <tt>fEditVars</tt>. */
 
 virtual void RemoveEditVar (QcFloat &v);
-#line 617 "QcSolver.ch"
 virtual void ClearEditVars()				// make fEditVars empty.
 {
   fEditVars.resize(0);
@@ -414,57 +390,46 @@
 //-----------------------------------------------------------------------//
 
 
-virtual void Print (ostream &os) const;
-#line 642 "QcSolver.ch"
+virtual void Print (std::ostream &os) const;
 /** Erase everything ready to start afresh. */
 
 virtual void
 Restart();
-#line 653 "QcSolver.ch"
 #if qcCheckPost
 public:
 inline bool
 hasConstraint(QcConstraintRep const *c) const;
-#line 664 "QcSolver.ch"
 inline bool
 hasConstraint(QcConstraint const &c) const;
-#line 671 "QcSolver.ch"
 void checkSatisfied() const;
-#line 680 "QcSolver.ch"
 protected:
 inline void
 addCheckedConstraint(QcConstraintRep *c);
-#line 689 "QcSolver.ch"
 void
 removeCheckedConstraint(QcConstraintRep *c);
-#line 723 "QcSolver.ch"
 inline void
 changeCheckedConstraint(QcConstraintRep *oldc, numT rhs);
-#line 729 "QcSolver.ch"
-inline vector<QcConstraintRep *>::const_iterator
+inline std::vector<QcConstraintRep *>::const_iterator
 checkedConstraints_abegin() const;
-#line 735 "QcSolver.ch"
-inline vector<QcConstraintRep *>::const_iterator
+inline std::vector<QcConstraintRep *>::const_iterator
 checkedConstraints_aend() const;
-#line 741 "QcSolver.ch"
-inline vector<QcConstraintRep *>::size_type
+inline std::vector<QcConstraintRep *>::size_type
 checkedConstraints_size() const;
-#line 747 "QcSolver.ch"
 #endif
 
 
 protected:
-  vector<QcConstraint> fInconsistant; 	// Records inconsistant constraints
-  vector<QcFloat> fEditVars;		// Used for Edit/Resolve
+  std::vector<QcConstraint> fInconsistant; 	// Records inconsistant constraints
+  std::vector<QcFloat> fEditVars;		// Used for Edit/Resolve
   bool fEditVarsSetup;			// Used for Edit/Resolve
   bool fAutoSolve;
   bool fBatchAddConst;
   bool fBatchAddConstFail;
-  vector<QcConstraint> fBatchConstraints;
+  std::vector<QcConstraint> fBatchConstraints;
 
 #if qcCheckPost
 private:
-  vector<QcConstraintRep *> checkedConstraints;
+  std::vector<QcConstraintRep *> checkedConstraints;
 #endif
 
 
@@ -473,8 +438,7 @@
 
 
 #ifndef qcNoStream
-inline ostream &operator<< (ostream &os, const QcSolver &s);
-#line 775 "QcSolver.ch"
+inline std::ostream &operator<< (std::ostream &os, const QcSolver &s);
 #endif
 
 /*
Index: qoca/QcNullableElement.hh
===================================================================
--- qoca/QcNullableElement.hh	(revision 18891)
+++ qoca/QcNullableElement.hh	(working copy)
@@ -160,7 +160,7 @@
 
 #ifndef qcNoStream
 template <class ElementRep, class ElementRef>
-inline ostream &operator<<(ostream &os, QcNullableElement<ElementRep, ElementRef> const &cf)
+inline std::ostream &operator<<(std::ostream &os, QcNullableElement<ElementRep, ElementRef> const &cf)
 {
 	reinterpret_cast<ElementRef const &>(cf).Print(os);
 	return os;
Index: qoca/QcCassSolver.cc
===================================================================
--- qoca/QcCassSolver.cc	(revision 18891)
+++ qoca/QcCassSolver.cc	(working copy)
@@ -29,6 +29,8 @@
 #include "qoca/QcStructVarIndexIterator.hh"
 #include "qoca/QcVariableIndexIterator.hh"
 
+using namespace std;
+
 QcCassSolver::~QcCassSolver()
 {
 	// Deallocate memory allocated to Cassowary stay constraints.
Index: qoca/QcLinEqSystem.hh
===================================================================
--- qoca/QcLinEqSystem.hh	(revision 18891)
+++ qoca/QcLinEqSystem.hh	(working copy)
@@ -27,7 +27,7 @@
 #ifndef __QcLinEqSystemH
 #define __QcLinEqSystemH
 
-#include <vector.h>
+#include <vector>
 #include "qoca/QcSolver.hh"
 #include "qoca/QcLinEqTableau.hh"
 #include "qoca/QcConstraint.hh"
@@ -41,11 +41,11 @@
 	typedef QcVariableBiMap::const_identifier_iterator const_var_iterator;
 
 protected:
-	vector<unsigned int> fDepVars;
-  	vector<unsigned int> fParsOfInterest;
-	vector<unsigned int> fVarsByIndex;	// Indices of variables of interest.
-	vector<numT> fDepVarBaseVals;	// Used for Resolve
-	vector<vector<QcSparseCoeff> > fDepVarCoeffs;
+	std::vector<unsigned int> fDepVars;
+  	std::vector<unsigned int> fParsOfInterest;
+	std::vector<unsigned int> fVarsByIndex;	// Indices of variables of interest.
+	std::vector<numT> fDepVarBaseVals;	// Used for Resolve
+	std::vector<std::vector<QcSparseCoeff> > fDepVarCoeffs;
 		// fDepVarCoeffs is a partial map from dependant variable index
 		// to a vector (used as a list) of sparse coefficients.
 
@@ -167,14 +167,14 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 	virtual void Restart();
 	  	// Erase everything ready to start afresh.
 
   	QcFloat &GetVariable(const char *n) const
   		{ return fVBiMap.Identifier(n); }
 
-  	void GetVariableSet(vector<QcFloat> &vars) const
+  	void GetVariableSet(std::vector<QcFloat> &vars) const
   		{ fVBiMap.GetVariableSet(vars); }
 
 	const_var_iterator getVariables_begin() const
@@ -235,11 +235,11 @@
 	return true;
 }
 
-inline void QcLinEqSystem::Print(ostream &os) const
+inline void QcLinEqSystem::Print(std::ostream &os) const
 {
 	QcSolver::Print(os);
 	fNotifier.Print(os);
-	os << endl;
+	os << std::endl;
 	fTableau.Print(os);
 }
 
Index: qoca/QcBiMap.H
===================================================================
--- qoca/QcBiMap.H	(revision 18891)
+++ qoca/QcBiMap.H	(working copy)
@@ -1,11 +1,10 @@
 // Generated automatically from QcBiMap.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcBiMapDCL
 #define QcBiMapDCL
-#line 1 "QcBiMap.ch"
 
-#include <iostream.h>
-#include <map.h>
-#include <vector.h>
+#include <iostream>
+#include <map>
+#include <vector>
 #include "qoca/QcDefines.hh"
 #include "qoca/KeyIterator.hh"
 
@@ -24,7 +23,7 @@
 
 
 
-template<class AKey>
+template<typename AKey>
 class QcBiMap
 {
 
@@ -44,22 +43,19 @@
 
 inline void
 assertInvar() const;
-#line 63 "QcBiMap.ch"
 inline void
 assertDeepInvar() const;
-#line 70 "QcBiMap.ch"
 virtual inline void
 vAssertDeepInvar() const;
-#line 75 "QcBiMap.ch"
 #endif
 
 
 protected:
-	typedef map<AKey, int, less<AKey> > TIdentifierMap;
-	typedef vector<AKey> TIndexMap;
+	typedef std::map<AKey, int, std::less<AKey> > TIdentifierMap;
+	typedef std::vector<AKey> TIndexMap;
 
 public:
-	typedef KeyIterator<TIdentifierMap::const_iterator, AKey> const_identifier_iterator;
+	typedef KeyIterator<typename TIdentifierMap::const_iterator, AKey> const_identifier_iterator;
 
 
 	//-----------------------------------------------------------------------//
@@ -72,12 +68,10 @@
 
 inline void
 EraseByIndex(int index);
-#line 107 "QcBiMap.ch"
 /** Erase everything ready to start afresh. */
 
 inline void
 Restart();
-#line 117 "QcBiMap.ch"
 /** Swap the mappings around so that {ix1 &harr; id1, ix2 &harr; id2}
     becomes {ix1 &harr; id2, ix2 &harr; id1}.
 
@@ -87,7 +81,6 @@
 
 inline void
 SwapByIndex(int i1, int i2);
-#line 147 "QcBiMap.ch"
 /** Insert the mapping <tt>ident</tt> &harr; <tt>index</tt> into this
     bimap.
 
@@ -100,7 +93,6 @@
 
 inline void
 Update(const AKey &ident, int index);
-#line 184 "QcBiMap.ch"
 //-----------------------------------------------------------------------//
 // Query functions.                                                      //
 //-----------------------------------------------------------------------//
@@ -117,7 +109,7 @@
   const_identifier_iterator
   getIdentifiers_begin() const
   {
-    TIdentifierMap::const_iterator i = fIdentifierMap.begin();
+    typename TIdentifierMap::const_iterator i = fIdentifierMap.begin();
     return const_identifier_iterator (i);
   }
 
@@ -129,10 +121,8 @@
 
 inline AKey &
 Identifier(int index);
-#line 220 "QcBiMap.ch"
 inline AKey &
 Identifier(char const *n);
-#line 237 "QcBiMap.ch"
 /** Return the index associated with <tt>ident</tt>.
 
     @precondition <tt>IdentifierPresent(ident)</tt>
@@ -141,7 +131,6 @@
 
 inline int
 Index(AKey const &ident) const;
-#line 255 "QcBiMap.ch"
 /** Return the index associated with <tt>ident</tt>,
     or -1 if <tt>ident</tt> is not present.
 
@@ -150,15 +139,13 @@
 
 inline int
 safeIndex(AKey const &ident) const;
-#line 273 "QcBiMap.ch"
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
 #ifndef qcNoStream
 
 inline void
-Print(ostream &os) const;
-#line 294 "QcBiMap.ch"
+Print(std::ostream &os) const;
 #endif /* !qcNoStream */
 
 
@@ -172,7 +159,7 @@
 
 #ifndef qcNoStream
 template<class AKey>
-ostream &operator<<(ostream &os, const QcBiMap<AKey> &bm)
+std::ostream &operator<<(std::ostream &os, const QcBiMap<AKey> &bm)
 {
 	bm.Print(os);
 	return os;
Index: qoca/QcQuasiColState.hh
===================================================================
--- qoca/QcQuasiColState.hh	(revision 18891)
+++ qoca/QcQuasiColState.hh	(working copy)
@@ -49,7 +49,7 @@
 	//-----------------------------------------------------------------------//
 	// Utililty functions.                                                   //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os)
+	virtual void Print(std::ostream &os)
   		{ os << "Index(" << fIndex << ")"; }
 
 public:
Index: qoca/QcLinInEqTableau.cc
===================================================================
--- qoca/QcLinInEqTableau.cc	(revision 18891)
+++ qoca/QcLinInEqTableau.cc	(working copy)
@@ -25,7 +25,7 @@
 //============================================================================//
 
 #include <math.h>
-#include <vector.h>
+#include <vector>
 #include "qoca/QcDefines.hh"
 #include "qoca/QcLinInEqTableau.hh"
 #include "qoca/QcConstraintIndexIterator.hh"
@@ -34,6 +34,8 @@
 #include "qoca/QcVariableIndexIterator.hh"
 #include "qoca/QcTableauRowIterator.hh"
 
+using namespace std;
+
 int QcLinInEqTableau::AddArtificial(numT coeff)
 {
 	unsigned vi = IncreaseColumns();
Index: qoca/QcQuasiRowStateVector.cc
===================================================================
--- qoca/QcQuasiRowStateVector.cc	(revision 18891)
+++ qoca/QcQuasiRowStateVector.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcQuasiRowStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcQuasiRowStateVector.hh"
-#line 1 "QcQuasiRowStateVector.ch"
 // $Id: QcQuasiRowStateVector.ch,v 1.1 2000/11/29 01:49:41 pmoulder Exp $
 
 //============================================================================//
@@ -30,13 +29,12 @@
 #include "qoca/QcStateVector.hh"
 #include "qoca/QcQuasiRowState.hh"
 
+using namespace std;
 
 
 
 
 
-
-#line 78 "QcQuasiRowStateVector.ch"
 void
 QcQuasiRowStateVector::SetMRowDeleted(unsigned i, bool d)
 {
@@ -150,30 +148,28 @@
 
 
 
-#line 260 "QcQuasiRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
 
 
 void
-QcQuasiRowStateVector::Print(ostream &os) const
+QcQuasiRowStateVector::Print(std::ostream &os) const
 {
-  os << endl << "Row State Vector:";
+  os << std::endl << "Row State Vector:";
   QcStateVector::Print(os);
-  os << endl << "Row List:";
+  os << std::endl << "Row List:";
   QcQuasiRowState *curr = fRowList;
 
   while (curr != 0)
     {
       curr->Print(os);
-      os << endl;
+      os << std::endl;
       curr = curr->fNextRow;
     }
 }
 
 
-#line 299 "QcQuasiRowStateVector.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/Jamfile
===================================================================
--- qoca/Jamfile	(revision 18891)
+++ qoca/Jamfile	(working copy)
@@ -47,6 +47,7 @@
 	QcSparseMatrix.cc
 	QcVarStow.cc
 	QcVariableBiMap.cc
+	QcUtility.cc
 	:
 	$(TARGET_LIBSTDC++)
 ;
Index: qoca/QcQuasiRowStateVector.H
===================================================================
--- qoca/QcQuasiRowStateVector.H	(revision 18891)
+++ qoca/QcQuasiRowStateVector.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcQuasiRowStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcQuasiRowStateVectorDCL
 #define QcQuasiRowStateVectorDCL
-#line 1 "QcQuasiRowStateVector.ch"
 // $Id: QcQuasiRowStateVector.ch,v 1.1 2000/11/29 01:49:41 pmoulder Exp $
 
 //============================================================================//
@@ -81,7 +80,6 @@
 
 void
 SetMRowDeleted(unsigned i, bool d);
-#line 94 "QcQuasiRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
@@ -90,20 +88,17 @@
 
 virtual void
 AddToList(QcState **start, QcState **finish);
-#line 120 "QcQuasiRowStateVector.ch"
 #ifndef NDEBUG
 public:
 
 
 void
 assertLinkageInvar() const;
-#line 155 "QcQuasiRowStateVector.ch"
 protected:
 
 
 virtual void
 virtualAssertLinkageInvar() const;
-#line 163 "QcQuasiRowStateVector.ch"
 #endif
 
 public:
@@ -111,37 +106,29 @@
 
 virtual void
 FixLinkage();
-#line 189 "QcQuasiRowStateVector.ch"
 private:
 
 inline void
 LinkRow(unsigned index);
-#line 199 "QcQuasiRowStateVector.ch"
 inline void
 LinkRow(QcQuasiRowState *me);
-#line 216 "QcQuasiRowStateVector.ch"
 inline void
 UnlinkRow(unsigned index);
-#line 225 "QcQuasiRowStateVector.ch"
 inline void
 UnlinkRow(QcQuasiRowState *me);
-#line 244 "QcQuasiRowStateVector.ch"
 protected:
 inline void
 Restart(unsigned i);
-#line 260 "QcQuasiRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
 public:
 
 virtual void
-Print(ostream &os) const;
-#line 281 "QcQuasiRowStateVector.ch"
+Print(std::ostream &os) const;
 private:
 inline QcQuasiRowState *
 getState( unsigned i) const;
-#line 293 "QcQuasiRowStateVector.ch"
 public:
 	QcQuasiRowState *fRowList;	// head of undeleted fM rows linked list
 
Index: qoca/QcLinInEqRowColStateVector.cc
===================================================================
--- qoca/QcLinInEqRowColStateVector.cc	(revision 18891)
+++ qoca/QcLinInEqRowColStateVector.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcLinInEqRowColStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcLinInEqRowColStateVector.hh"
-#line 1 "QcLinInEqRowColStateVector.ch"
 // $Id: QcLinInEqRowColStateVector.ch,v 1.1 2000/11/29 04:31:16 pmoulder Exp $
 
 //============================================================================//
@@ -33,10 +32,9 @@
 
 
 
+using namespace std;
 
 
-
-#line 46 "QcLinInEqRowColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
@@ -133,7 +131,6 @@
 }
 
 
-#line 147 "QcLinInEqRowColStateVector.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcOrigRowStateVector.cc
===================================================================
--- qoca/QcOrigRowStateVector.cc	(revision 18891)
+++ qoca/QcOrigRowStateVector.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcOrigRowStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcOrigRowStateVector.hh"
-#line 1 "QcOrigRowStateVector.ch"
 // $Id: QcOrigRowStateVector.ch,v 1.2 2000/12/06 05:32:56 pmoulder Exp $
 // Originally written by Alan Finlay and Sitt Sen Chok
 
@@ -33,20 +32,17 @@
 #include "qoca/QcOrigRowState.hh"
 
 
+using namespace std;
 
 
 
-
-#line 44 "QcOrigRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Query functions.                                                      //
 //-----------------------------------------------------------------------//
 
-#line 71 "QcOrigRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Set* functions.
 //-----------------------------------------------------------------------//
-#line 95 "QcOrigRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
@@ -113,7 +109,8 @@
     {
       QcOrigRowState const *state = CAST(QcOrigRowState const *, *i);
       assert( state->fRHS == 0.0);
-      assert( state->fMRowIndex == i - fStates);
+	  // TODO: Find out why this is borked ...
+      //assert( state->fMRowIndex == i - fStates);
       assert( !state->fARowDeleted);
     }
 }
@@ -121,7 +118,6 @@
 
 
 
-#line 191 "QcOrigRowStateVector.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcLinEqSolver.hh
===================================================================
--- qoca/QcLinEqSolver.hh	(revision 18891)
+++ qoca/QcLinEqSolver.hh	(working copy)
@@ -40,10 +40,10 @@
 	#else
 	QcDelLinEqSystem fSubSystem;
 	#endif
-	vector<QcFloat> fDesValVar;
-	vector<unsigned int> fDepPars;
-	vector<unsigned int> fVarsByIndex;
-	vector<bool> fDepBasicVars;
+	std::vector<QcFloat> fDesValVar;
+	std::vector<unsigned int> fDepPars;
+	std::vector<unsigned int> fVarsByIndex;
+	std::vector<bool> fDepBasicVars;
 
   	QcVariableBiMap &fVBiMap;
 	const QcBiMapNotifier &fNotifier;
@@ -136,7 +136,7 @@
 	//-----------------------------------------------------------------------//
 	void GenerateKT1(QcFloat &p, QcSparseMatrix &ccache
 #ifndef qcRealTableauRHS
-			 , vector<numT> &crhs
+			 , std::vector<numT> &crhs
 #endif
 			);
 		// Generate the constraint df'/dp == 0
@@ -148,7 +148,7 @@
 
 	void GenerateKT2(QcFloat &p, QcSparseMatrix &ccache
 #ifndef qcRealTableauRHS
-			 , vector<numT> &crhs
+			 , std::vector<numT> &crhs
 #endif
 			);
 		// Generate the constraint df'/dp == 0 where parameters of interest
@@ -169,10 +169,10 @@
   	QcFloat GetVariable(const char *n)
   		{ return fSystem.GetVariable(n); }
 
-  	void GetVariableSet(vector<QcFloat> &vars)
+  	void GetVariableSet(std::vector<QcFloat> &vars)
   		{ fSystem.GetVariableSet(vars); }
 
-	virtual void QcLinEqSolver::Print(ostream &os) const;
+	virtual void QcLinEqSolver::Print(std::ostream &os) const;
 };
 
 inline QcLinEqSolver::QcLinEqSolver()
Index: qoca/QcIneqSolverBase.cc
===================================================================
--- qoca/QcIneqSolverBase.cc	(revision 18891)
+++ qoca/QcIneqSolverBase.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcIneqSolverBase.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcIneqSolverBase.hh"
-#line 1 "QcIneqSolverBase.ch"
 
 #include <qoca/QcSolver.hh>
 
@@ -10,7 +9,6 @@
 
 
 
-#line 80 "QcIneqSolverBase.ch"
 //-----------------------------------------------------------------------//
 // Constraint management methods                                         //
 //-----------------------------------------------------------------------//
@@ -48,7 +46,6 @@
 }
 
 
-#line 131 "QcIneqSolverBase.ch"
 bool
 QcIneqSolverBase::ChangeConstraint(QcConstraint &oldc, numT rhs)
 {
@@ -77,7 +74,6 @@
 }
 
 
-#line 173 "QcIneqSolverBase.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcSolver.hh
===================================================================
--- qoca/QcSolver.hh	(revision 18891)
+++ qoca/QcSolver.hh	(working copy)
@@ -2,7 +2,6 @@
 #include "QcSolver.H"
 #ifndef QcSolverIFN
 #define QcSolverIFN
-#line 1 "QcSolver.ch"
 // $Id: QcSolver.ch,v 1.21 2001/01/30 01:32:08 pmoulder Exp $
 
 //============================================================================//
@@ -29,8 +28,8 @@
 // included with the above copyright notice.                                  //
 //============================================================================//
 
-#include <vector.h>
-#include <algo.h>
+#include <vector>
+#include <algorithm>
 #include "qoca/QcConstraint.hh"
 
 
@@ -48,7 +47,6 @@
 }
 
 
-#line 52 "QcSolver.ch"
 #if qcCheckInternalInvar
 inline void
 QcSolver::assertInvar() const
@@ -56,7 +54,6 @@
 }
 
 
-#line 79 "QcSolver.ch"
 #endif
 
 
@@ -65,7 +62,6 @@
 //-----------------------------------------------------------------------//
 
 
-#line 145 "QcSolver.ch"
 inline void
 QcSolver::SuggestValue(QcFloat &v, numT desval)
 {
@@ -81,7 +77,6 @@
 // Enquiry functions for variables                                       //
 //-----------------------------------------------------------------------//
 
-#line 214 "QcSolver.ch"
 /* ----------------------------------------------------------------------
    High Level Edit Variable Interface for use by solver clients. Edit
    variables are set and unset with the following interface. The
@@ -95,20 +90,17 @@
 
 
 
-#line 285 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Constraint management methods                                         //
 //-----------------------------------------------------------------------//
 
 
-#line 293 "QcSolver.ch"
-inline vector<QcConstraint> const &QcSolver::Inconsistant() const
+inline std::vector<QcConstraint> const &QcSolver::Inconsistant() const
 {
   return fInconsistant;
 }
 
 
-#line 447 "QcSolver.ch"
 inline void
 QcSolver::BeginAddConstraint()
 {
@@ -120,7 +112,6 @@
 }
 
 
-#line 461 "QcSolver.ch"
 inline bool
 QcSolver::inBatch()
 {
@@ -143,12 +134,10 @@
 
 
 
-#line 546 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Constraint Solving methods                                            //
 //-----------------------------------------------------------------------//
 
-#line 579 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Low Level Edit Variable Interface for use by solvers. These functions //
 // manipulate the set of edit variables without any adjustment of the    //
@@ -169,13 +158,11 @@
 
 
 
-#line 625 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
 
 
-#line 653 "QcSolver.ch"
 #if qcCheckPost
 
 inline bool
@@ -194,7 +181,6 @@
 }
 
 
-#line 681 "QcSolver.ch"
 inline void
 QcSolver::addCheckedConstraint(QcConstraintRep *c)
 {
@@ -203,26 +189,25 @@
 }
 
 
-#line 723 "QcSolver.ch"
 inline void
 QcSolver::changeCheckedConstraint(QcConstraintRep *oldc, numT rhs)
 {
   oldc->SetRHS( rhs);
 }
 
-inline vector<QcConstraintRep *>::const_iterator
+inline std::vector<QcConstraintRep *>::const_iterator
 QcSolver::checkedConstraints_abegin() const
 {
   return checkedConstraints.begin();
 }
 
-inline vector<QcConstraintRep *>::const_iterator
+inline std::vector<QcConstraintRep *>::const_iterator
 QcSolver::checkedConstraints_aend() const
 {
   return checkedConstraints.end();
 }
 
-inline vector<QcConstraintRep *>::size_type
+inline std::vector<QcConstraintRep *>::size_type
 QcSolver::checkedConstraints_size() const
 {
   return checkedConstraints.size();
@@ -231,9 +216,8 @@
 #endif
 
 
-#line 769 "QcSolver.ch"
 #ifndef qcNoStream
-inline ostream &operator<< (ostream &os, const QcSolver &s)
+inline std::ostream &operator<< (std::ostream &os, const QcSolver &s)
 {
   s.Print (os);
   return os;
Index: qoca/QcState.hh
===================================================================
--- qoca/QcState.hh	(revision 18891)
+++ qoca/QcState.hh	(working copy)
@@ -27,7 +27,7 @@
 #ifndef __QcStateH
 #define __QcStateH
 
-#include <iostream.h>
+#include <iostream>
 
 class QcState
 {
@@ -37,7 +37,7 @@
 	//-----------------------------------------------------------------------//
 	// Utililty functions.                                                   //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) = 0;
+	virtual void Print(std::ostream &os) = 0;
 };
 
 #endif
Index: qoca/QcQuasiRowColStateVector.H
===================================================================
--- qoca/QcQuasiRowColStateVector.H	(revision 18891)
+++ qoca/QcQuasiRowColStateVector.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcQuasiRowColStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcQuasiRowColStateVectorDCL
 #define QcQuasiRowColStateVectorDCL
-#line 1 "QcQuasiRowColStateVector.ch"
 // $Id: QcQuasiRowColStateVector.ch,v 1.4 2001/01/30 01:32:08 pmoulder Exp $
 
 //============================================================================//
@@ -28,7 +27,7 @@
 // included with the above copyright notice.                                  //
 //============================================================================//
 
-#include <iostream.h>
+#include <iostream>
 #include <qoca/QcQuasiRowStateVector.H>
 
 #include <qoca/QcQuasiColStateVector.hh>
@@ -43,7 +42,6 @@
 inline
 QcQuasiRowColStateVector(QcQuasiRowStateVector *rs,
 			 QcQuasiColStateVector *cs);
-#line 47 "QcQuasiRowColStateVector.ch"
 protected:
 /** This constructor should only be used by derived classes.  The derived
     class should initialize all the member data in this class. */
@@ -65,23 +63,19 @@
 //-----------------------------------------------------------------------//
 inline void
 Restart();
-#line 73 "QcQuasiRowColStateVector.ch"
 inline void
 Reserve(unsigned rows, unsigned cols);
-#line 80 "QcQuasiRowColStateVector.ch"
 #if 0 /* unused */
 
 virtual void
 SwapRows(unsigned c1, unsigned c2);
-#line 135 "QcQuasiRowColStateVector.ch"
 #endif /* unused */
 
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
 inline void
-Print(ostream &os);
-#line 148 "QcQuasiRowColStateVector.ch"
+Print(std::ostream &os);
 public:
   QcQuasiRowStateVector *fRowState;
   QcQuasiColStateVector *fColState;
